none
Asp.Net Web API .Net Framework Support RRS feed

  • Question

  • Hi,

    I want to work with Asp.Net Web API. I am currently working with WCF rest services but would love learn more about new technologies of web services. My question is - we have .Net 3.5 Framework install on production server  and i read somewhere i cannot create asp.net web api in 3.5 framework. Is it true ? Is there any way to host asp.net web api in 3.5 frame work. 


    Bhupinder Singh

    Monday, May 5, 2014 12:16 AM

Answers

  • Hi,

    Hosting the Web API requires the .Net 4. So we can't use it on .Net 3.5.

    And I have test it in my side, then it will throw the following exception in the .Net 3.5:

    Besides, if you have any other question about the Web API, then it will be better for you to post it to the Web API forum:
    #Web API Forum:
    http://forums.asp.net/1246.aspx/1?Web+API .

    Thanks for your understanding.

    Best Regards,
    Amy Peng


    We are trying to better understand customer views on social support experience, so your participation in this interview project would be greatly appreciated if you have time. Thanks for helping make community forums a great place.
    Click HERE to participate the survey.


    Tuesday, May 13, 2014 7:50 AM
    Moderator
  • Hosting WebAPI require .Net 4.0 or higher. But consuming a WEB API from .ne 3.5 client is possible in a tricky way. Refer this.

    Installing .net 4 or higher framework along with 3.5 in a same box should not be an issue as both can run side by side. 



    Lingaraj Mishra

    Tuesday, May 13, 2014 8:43 AM

All replies